Bug 183181 - Bad: utf8 long filenames - invalid argument
Bad: utf8 long filenames - invalid argument
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: acl (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 02:38 EST by Andrey
Modified: 2015-02-01 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2.39-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 04:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acl-long-utf8.patch (521 bytes, patch)
2006-02-27 02:40 EST, Andrey
no flags Details | Diff

  None (edit)
Description Andrey 2006-02-27 02:38:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.1 (like Gecko)

Description of problem:
example: 
# 
file: /home/test_acl/\320\233\320\265\321\207\320\265\320\261\320\275\321\213\320\265\040\320\276\321\20 
2\320\264\320\265\320\273\321\213/\320\236\321\200\320\263.-\320\274\320\265\321\202\320\276\320\264\040\3 
20\276\321\202\320\264\320\265\320\273/bondarenko/desktop/\320\230\321\200\320\270\320\275\320\272\320\260 
/\320\230\321\200\320\260/\320\276\321\202\320\264\320\265\320\273\321\213/\320\235\320\265\320\274\320\26 
5\320\264\320\270\321\206\320\270\320\275\321\201\320\272\320\270\320\265\040\320\276\321\202\320\264\320\ 
265\320\273\321\213/\320\241\320\260\320\275\320\255\320\277\320\270\320\264\320\240\320\265\320\266\320\2 
70\320\274/\320\236\320\261\321\211\320\270\320\265\040\320\277\321\200\320\276\321\206\320\265\321\201\32 
1\201\321\213/\320\255\320\272\321\201\320\277\320\265\321\200\321\202\320\270\320\267\320\260\0401\040\32 
1\203\321\200\320\276\320\262\320\275\321\217.doc 
# owner: bondarenko 
# group: omo 
user::rw- 
group::rw- 
group:dc_local:r-x 
mask::rwx 
other::--- 
 
 
setfacl --restore=test.acl 
setfacl: test.acl: Invalid argument in line 2 

Version-Release number of selected component (if applicable):
acl-2.2.32-1.FC4.2

How reproducible:
Always

Steps to Reproduce:
1. example: 
# 
file: /home/test_acl/\320\233\320\265\321\207\320\265\320\261\320\275\321\213\320\265\040\320\276\321\20 
2\320\264\320\265\320\273\321\213/\320\236\321\200\320\263.-\320\274\320\265\321\202\320\276\320\264\040\3 
20\276\321\202\320\264\320\265\320\273/bondarenko/desktop/\320\230\321\200\320\270\320\275\320\272\320\260 
/\320\230\321\200\320\260/\320\276\321\202\320\264\320\265\320\273\321\213/\320\235\320\265\320\274\320\26 
5\320\264\320\270\321\206\320\270\320\275\321\201\320\272\320\270\320\265\040\320\276\321\202\320\264\320\ 
265\320\273\321\213/\320\241\320\260\320\275\320\255\320\277\320\270\320\264\320\240\320\265\320\266\320\2 
70\320\274/\320\236\320\261\321\211\320\270\320\265\040\320\277\321\200\320\276\321\206\320\265\321\201\32 
1\201\321\213/\320\255\320\272\321\201\320\277\320\265\321\200\321\202\320\270\320\267\320\260\0401\040\32 
1\203\321\200\320\276\320\262\320\275\321\217.doc 
# owner: bondarenko 
# group: omo 
user::rw- 
group::rw- 
group:dc_local:r-x 
mask::rwx 
other::--- 
 
 
setfacl --restore=test.acl 
setfacl: test.acl: Invalid argument in line 2 
 
 

Additional info:
Comment 1 Andrey 2006-02-27 02:40:41 EST
Created attachment 125304 [details]
acl-long-utf8.patch

The attached patch fixes it.
Comment 2 Christian Iseli 2007-01-22 05:49:32 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Jiri Moskovcak 2007-07-11 04:40:02 EDT
This bug has been fixed in version 2.2.39-1. Thanks Adnrey for the initial patch.

Note You need to log in before you can comment on or make changes to this bug.